use std::io;
// use csv::Reader;
use csv::ReaderBuilder;
use std::error::Error;
use std::collections::HashMap;


struct PWM {
    a: Vec<f32>,
    t: Vec<f32>,
    g: Vec<f32>,
    c: Vec<f32>,
}

// pub fn matrix_ag() ->  Result<PWM, Box<dyn Error>> {
//     let mut rdr = Reader::from_path("foo.csv")?; 
// }

pub fn matrix_gt() ->  Result<HashMap<String, Vec<f32>>, Box<dyn Error>> {
    let mut gt_csv = ReaderBuilder::new().delimiter(b',').from_path("matrixGT.csv")?;
    let mut map: HashMap<String, Vec<f32>> = HashMap::new();
    for row in gt_csv.records() {
        let record = row.unwrap();
        let mut key = String::new();
        let mut score: Vec<f32> = Vec::new();
        for value in &record {
            if key.is_empty() {
                key = value.to_string();
            } else {
                score.push(value.parse().unwrap());
            }
        }
        map.insert(key, score);
    }
    Ok(map)
}

pub fn check_calculable_score(seq: &str) -> bool {
    if seq.contains("N") {
        return false;
    }
    true
}

pub fn ssf_donor(seq: &str, gt_matrix: HashMap<String, Vec<f32>>) -> i8 {
    let acceptor_score: i8 = 0;
    let seq_vec: Vec<char> = seq.chars().collect();
    if check_calculable_score(seq) {
        for n in &seq_vec[0..9] {
            println!("{}", n);
        }
        return acceptor_score;
    } 
    0
}
pub fn ssf_acceptor(seq: &str) -> i8 {
    let acceptor_score: i8 = 0;
    let seq_vec: Vec<char> = seq.chars().collect();
    if check_calculable_score(seq) {
        for n in &seq_vec[0..9] {
            println!("{}", n);
        }
        for n in &seq_vec[11..14] {
            println!("{}", n);
        }
        return acceptor_score;
    } 
    0
}