use std::process;

use SandR::*;

fn main() {
    let seq = "AGTGGACTCATCAGT";

    let gt_matrix =  matrix_gt().unwrap_or_else(|err| {
        eprintln!("Not able to read file: {}", err);
        process::exit(1);
    });

    println!("{}", &seq);
    println!("{:?}", gt_matrix);
    println!("{}", ssf_donor(seq, gt_matrix));
}
